edu.isi.pegasus.planner.classes

## Class DAXJob

- java.lang.Object
- - edu.isi.pegasus.planner.classes.Data
  - - edu.isi.pegasus.planner.classes.Job
    - - edu.isi.pegasus.planner.classes.DAXJob

All Implemented Interfaces:
  GraphNodeContent, java.lang.Cloneable

    public class DAXJob
    extends Job

This is a data class that stores the contents of the DAX job in a DAX conforming to schema 3.0 or higher.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `JOB_PREFIX` The prefix to be attached for the DAX jobs
`private java.lang.String` `mDAXFile` The DAX File that the job refers to.
`private java.lang.String` `mDAXLFN` The DAX LFN.
`private java.lang.String` `mDirectory` The directory in which the DAX needs to execute.

### Fields inherited from class edu.isi.pegasus.planner.classes.Job

`CHMOD_JOB, CLEANUP_JOB, COMPUTE_JOB, condorUniverse, condorVariables, CREATE_DIR_JOB, DAG_JOB, dagmanVariables, DAX_JOB, dvName, dvNamespace, dvVersion, envVariables, executable, executionPool, globusRSL, globusScheduler, hints, inputFiles, INTER_POOL_JOB, jobClass, jobID, jobName, level, logicalId, logicalName, namespace, outputFiles, REPLICA_REG_JOB, STAGE_IN_JOB, STAGE_IN_WORKER_PACKAGE_JOB, STAGE_OUT_JOB, stdErr, stdIn, stdOut, strargs, UNASSIGNED_JOB, vdsNS, version`

### Fields inherited from class edu.isi.pegasus.planner.classes.Data

`mLogger, mLogMsg`

### Constructor Summary

Constructors
Constructor and Description
`DAXJob()` The default constructor.
`DAXJob(Job job)` The overloaded construct that constructs a DAX job by wrapping around the `Job` job.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()` Returns a new copy of the Object.
`java.lang.String` `generateName(java.lang.String prefix)` Generates a name for the job that serves as the primary id for the job
`java.lang.String` `getDAXFile()` Returns the DAXFile the job refers to.
`java.lang.String` `getDAXLFN()` Returns the lfn for the DAXFile the job refers to.
`java.lang.String` `getDirectory()` Returns the directory the job refers to.
`void` `setDAXFile(java.lang.String file)` Sets the DAX file
`void` `setDAXLFN(java.lang.String lfn)` Sets the DAX file LFN
`void` `setDirectory(java.lang.String directory)` Sets the directory in which the dag needs to execute.
`java.lang.String` `toString()` Returns a textual description of the DAX Job.

### Methods inherited from class edu.isi.pegasus.planner.classes.Job

`addCredentialType, addCredentialType, addInputFile, addNotification, addNotifications, addNotifications, addOutputFile, addProfile, computeRuntime, equals, getArguments, getCompleteDVName, getCompleteTCName, getCredentialTypes, getDAXID, getDOTColor, getDVName, getDVNamespace, getDVVersion, getGridGatewayJobType, getID, getInputFiles, getJobManager, getJobType, getJobTypeDescription, getJobTypeDescription, getLevel, getLogicalID, getName, getNotifications, getNotifications, getOutputFiles, getPreScriptArguments, getPreScriptPath, getRemoteExecutable, getRuntime, getSiteHandle, getStagedExecutableBaseName, getStagedExecutableBaseName, getStagingSiteHandle, getStdErr, getStdIn, getStdOut, getSubmissionCredential, getTXName, getTXNamespace, getTXVersion, getUniverse, getVDSSuperNode, isMPIJob, mergeProfiles, requiresCredentials, resetCredentialTypes, resetNotifications, resetProfiles, runInWorkDirectory, setArguments, setDerivation, setDVName, setDVNamespace, setDVVersion, setExecutableStagingForJob, setInputFiles, setJobManager, setJobType, setLevel, setLogicalID, setName, setOutputFiles, setPreScript, setPreScript, setRemoteExecutable, setRuntime, setRuntime, setSiteHandle, setStagingSiteHandle, setStdErr, setStdIn, setStdOut, setSubmissionCredential, setTransformation, setTXName, setTXNamespace, setTXVersion, setTypeRecursive, setUniverse, setVDSSuperNode, toDOT, toDOT, typeInRange, typeRecursive, updateProfiles, updateProfiles, updateProfiles, updateProfiles, userExecutablesStagedForJob`

### Methods inherited from class edu.isi.pegasus.planner.classes.Data

`setToString, vectorToString`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### JOB_PREFIX

    public static final java.lang.String JOB_PREFIX

The prefix to be attached for the DAX jobs

See Also:
  Constant Field Values

#### mDAXLFN

    private java.lang.String mDAXLFN

The DAX LFN.

#### mDAXFile

    private java.lang.String mDAXFile

The DAX File that the job refers to.

#### mDirectory

    private java.lang.String mDirectory

The directory in which the DAX needs to execute.

### Constructor Detail

#### DAXJob

    public DAXJob()

The default constructor.

#### DAXJob

    public DAXJob(Job job)

The overloaded construct that constructs a DAX job by wrapping around the `Job` job.

Parameters:
  `job` - the original job description.

### Method Detail

#### setDAXLFN

    public void setDAXLFN(java.lang.String lfn)

Sets the DAX file LFN

Parameters:
  `lfn` - the LFN of the DAX file.

#### getDAXLFN

    public java.lang.String getDAXLFN()

Returns the lfn for the DAXFile the job refers to.

Returns:
  the lfn

#### setDAXFile

    public void setDAXFile(java.lang.String file)

Sets the DAX file

Parameters:
  `file` - the path to the DAX file.

#### getDAXFile

    public java.lang.String getDAXFile()

Returns the DAXFile the job refers to.

Returns:
  dag file

#### generateName

    public java.lang.String generateName(java.lang.String prefix)

Generates a name for the job that serves as the primary id for the job

Parameters:
  `prefix` - any prefix that needs to be applied while constructing the job name
Returns:
  the id for the job

#### setDirectory

    public void setDirectory(java.lang.String directory)

Sets the directory in which the dag needs to execute.

Overrides:
  `setDirectory` in class `Job`
Parameters:
  `directory` - the directory where dag needs to execute

#### getDirectory

    public java.lang.String getDirectory()

Returns the directory the job refers to.

Overrides:
  `getDirectory` in class `Job`
Returns:
  the directory.

#### toString

    public java.lang.String toString()

Returns a textual description of the DAX Job.

Overrides:
  `toString` in class `Job`
Returns:
  the textual description.

#### clone

    public java.lang.Object clone()

Returns a new copy of the Object. The implementation is faulty. There is a shallow copy for the profiles. That is the clone retains references to the original object.

Overrides:
  `clone` in class `Job`
Returns:
  Object